package ajcon.custom.util.elements;

import ajcon.custom.util.groups.CStmt;
import java.util.ArrayList;
import java.util.List;

public class CArrayInitializer {


    private List<CArrayInitializer> CArrayInitializer;

    private List<CStmt> CStmt;

    private String length;

    public CArrayInitializer()
    {
        CArrayInitializer = new ArrayList<CArrayInitializer>();
        CStmt = new ArrayList<CStmt>();
        length = null;
    }

    public String getLength() {
        return length;
    }

    public List<CArrayInitializer> getCArrayInitializer() {
        return CArrayInitializer;
    }

    public void setLength(String length) {
        this.length = length;
    }

    public void setCArrayInitializer(List<CArrayInitializer> CArrayInitializer) {
        this.CArrayInitializer = CArrayInitializer;
    }

    public void addCArrayInitializer(CArrayInitializer arrayInitializer)
    {
        CArrayInitializer.add(arrayInitializer);
    }

    public List<CStmt> getCStmt() {
        return CStmt;
    }

    public void addCStmt(CStmt e)
    {
        CStmt.add(e);
    }

    public void setCStmt(List<CStmt> CStmt) {
        this.CStmt = CStmt;
    }
}
